Foxit PDF SDK

Static Public Member Functions | List of all members
foxit::common::Codec Class Reference
Inheritance diagram for foxit::common::Codec:

## Static Public Member Functions
static String | Base64Decode (const void *encoded_data_buffer, size_t length)
| Decode the encoded data buffer by Base64 algorithm. More...
static String | Base64Encode (const void *data_buffer, size_t length)
| Encode the source data buffer by Base64 algorithm. More...
static String | FlateCompress (const void *data_buffer, size_t length)
| Compress the source data buffer by DEFLATE algorithm. More...
static String | FlateDecompress (const void *compressed_data_buffer, size_t length)
| Decompress the compressed data buffer by DEFLATE algorithm. More...

## Additional Inherited Members
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class provides utility functions such as encoding or compression. Foxit PDF SDK library should has been initialized successfully by function Library::Initialize before calling any function of this class.

## Member Function Documentation

## ◆ Base64Decode()

static String foxit::common::Codec::Base64Decode | ( | const void * | encoded_data_buffer,
|  | size_t | length
| ) |  |
| static

Decode the encoded data buffer by Base64 algorithm.

Parameters

  [in] | encoded_data_buffer | The encoded source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The decoded data.

## ◆ Base64Encode()

static String foxit::common::Codec::Base64Encode | ( | const void * | data_buffer,
|  | size_t | length
| ) |  |
| static

Encode the source data buffer by Base64 algorithm.

Parameters

  [in] | data_buffer | The raw source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The encoded data.

## ◆ FlateCompress()

static String foxit::common::Codec::FlateCompress | ( | const void * | data_buffer,
|  | size_t | length
| ) |  |
| static

Compress the source data buffer by DEFLATE algorithm.

Parameters

  [in] | data_buffer | The raw source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The compressed data.

## ◆ FlateDecompress()

static String foxit::common::Codec::FlateDecompress | ( | const void * | compressed_data_buffer,
|  | size_t | length
| ) |  |
| static

Decompress the compressed data buffer by DEFLATE algorithm.

Parameters

  [in] | compressed_data_buffer | The compressed source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The decompressed data.